> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/billing/retrieve-check-payment-details.md).

# Retrieve check payment details

Retrieve the check payment details that customers must use or have used to pay for an order.

## Request parameters

<table><thead><tr><th width="122.199951171875">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>sessionID</code></td><td><strong>Required (string)</strong><br>Session identifier string, output of the Login method. An exception is thrown if the values are incorrect.</td></tr><tr><td><code>refNo</code></td><td><strong>Required (string)</strong><br>Order reference number of an order that was marked with CHECK as payment method.</td></tr></tbody></table>

### Request sample

```php
<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

$proformaNumber = 'YOUR_PROFORMA_NUMBER';

try {
    $Proforma= $client->setProforma ($sessionID, $proformaNumber);
} catch (SoapFault $e) {
    echo "ProformaOutput: " . $e->getMessage();
    exit;
}
var_dump ("ProformaOutput", $Proforma);

$paymentDetails = new stdClass();
$paymentDetails->Type = 'CHECK';
$paymentDetails->Curency = 'YOUR_CURRENCY';
$paymentDetails->CustomerIP = 'CUSTOMER_IP';

try {
    $PaymentDetailsSet= $client->setPaymentDetails($sessionID, $paymentDetails);
} catch (SoapFault $e) {
    Echo "Payment: " . $e->getMessage();
    exit;
}
var_dump ("Payment", $PaymentDetailsSet);

try {
    $ProformaPay= $client->payProforma($sessionID);
} catch (SoapFault $e) {
    Echo "ProformaPaid: " . $e->getMessage();
    exit;
}
var_dump ("ProformaPaid ", $ProformaPay);

$refNo = 'YOUR_ORDER_REFNO'

try {
    $client->getCheckPaymentDetails ($sessionID, $refNo);
} catch (SoapFault $e) {
    echo "Error: " . $e->getMessage();
}
```

## Response parameters

<table><thead><tr><th width="387.4000244140625">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>CheckPaymentDetails</code></td><td><p><strong>Object</strong></p><p>Details below</p></td></tr><tr><td><code>CheckPaymentDetails.Beneficiary</code></td><td><p><strong>String</strong></p><p>Payment beneficiary name. Can be NULL.</p></td></tr><tr><td><code>CheckPaymentDetails.CheckPostalAddress</code></td><td><p><strong>String</strong></p><p>Beneficiary address. Can be NULL.</p></td></tr><tr><td><code>CheckPaymentDetails.CheckAccountHolderName</code></td><td><p><strong>String</strong></p><p>Beneficiary account holder name. Can be NULL.</p></td></tr><tr><td><code>CheckPaymentDetails.Country</code></td><td><p><strong>String</strong></p><p>Beneficiary country. Can be NULL.</p></td></tr><tr><td><code>CheckPaymentDetails.Amount</code></td><td><p><strong>Double</strong></p><p>Total order costs. Can be NULL.</p></td></tr><tr><td><code>CheckPaymentDetails.Currency</code></td><td><p><strong>String</strong></p><p>Order currency ISO code – ISO 4217. Can be NULL.</p></td></tr></tbody></table>

## Errors

<table><thead><tr><th width="250.60009765625">Error</th><th>Description</th></tr></thead><tbody><tr><td><strong>INVALID_PARTNER</strong></td><td>No partner is set.</td></tr><tr><td><strong>PAYMENT_PROFORMA</strong></td><td>You have to set a partner invoice first.</td></tr><tr><td><strong>PAYMENT_NOT_SUPPORTED</strong></td><td>The current partner invoice is not set as payable through check.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/billing/retrieve-check-payment-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
